import type { TObject, Static } from '@sinclair/typebox';
import type { WhereParam } from '../../base/types';
import type { SearchHit } from '@elastic/elasticsearch/lib/api/types';
import { View } from './View';
export declare class Table<T extends TObject> extends View<T> {
    /**
     * Auto convert data
     * check row data while insert or update
     * */
    private checkEntity;
    deleteByCondition(condition: WhereParam): Promise<number>;
    deleteById(id: string): Promise<number>;
    /**
     * Update a record, By Primary Key in the obj
    */
    update(id: string, obj: Static<T>, useIndex?: boolean): Promise<number>;
    /**
     * Insert a record
    */
    insert(object: Static<T>): Promise<SearchHit<Static<T>>>;
}
